Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058195 (php-gitter) - Review Request: php-gitter - Object oriented interaction with Git repositories
Summary: Review Request: php-gitter - Object oriented interaction with Git repositories
Keywords:
Status: CLOSED ERRATA
Alias: php-gitter
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-27 08:29 UTC by Shawn Iwinski
Modified: 2014-03-12 00:00 UTC (History)
2 users (show)

Fixed In Version: php-gitter-0.2.0-2.20131206git786e86a.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-03 03:09:17 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpci.log (deleted)
2014-02-19 12:54 UTC, Remi Collet
no flags Details
review.txt (deleted)
2014-02-19 12:55 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2014-01-27 08:29:43 UTC
Spec URL: https://raw.github.com/siwinski/rpms/5ed64b05de1ef348df55ecb5621c33dddc6e6b9d/php-gitter.spec

SRPM URL: http://siwinski.fedorapeople.org/SRPMS/php-gitter-0.2.0-1.20131206git786e86a.fc20.src.rpm

Description:
Gitter allows you to interact in an object oriented manner with Git repositories
via PHP. The main goal of the library is not to replace the system git command,
but provide a coherent, stable and performatic object oriented interface.

Most commands are sent to the system's git command, parsed and then interpreted
by Gitter. Everything is transparent to you, so you don't have to worry about a
thing.


Fedora Account System Username: siwinski

Comment 1 Remi Collet 2014-02-19 12:54:47 UTC
Created attachment 865050 [details]
phpci.log

phpcompatinfo version 2.26.0.

Comment 2 Remi Collet 2014-02-19 12:55:25 UTC
Created attachment 865051 [details]
review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1058195
Buildroot used: fedora-rawhide-x86_64

Comment 3 Remi Collet 2014-02-19 12:56:02 UTC
[!]: Dist tag is present (not strictly required in GL).
  => %{?dist}


No blocker.

== APPROVED ==

Comment 4 Shawn Iwinski 2014-02-20 03:37:19 UTC
THANKS for the review!


(In reply to Remi Collet from comment #3)
> [!]: Dist tag is present (not strictly required in GL).
>   => %{?dist}

I'll fix that after initial import.



New Package SCM Request
=======================
Package Name: php-gitter
Short Description: Object oriented interaction with Git repositories
Owners: siwinski
Branches: f19 f20 el6 epel7
InitialCC:

Comment 5 Gwyn Ciesla 2014-02-20 13:48:41 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-02-21 19:48:57 UTC
php-gitter-0.2.0-2.20131206git786e86a.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-gitter-0.2.0-2.20131206git786e86a.fc20

Comment 7 Fedora Update System 2014-02-21 19:49:05 UTC
php-gitter-0.2.0-2.20131206git786e86a.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-gitter-0.2.0-2.20131206git786e86a.el6

Comment 8 Fedora Update System 2014-02-21 19:49:19 UTC
php-gitter-0.2.0-2.20131206git786e86a.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-gitter-0.2.0-2.20131206git786e86a.fc19

Comment 9 Fedora Update System 2014-02-22 01:49:10 UTC
php-gitter-0.2.0-2.20131206git786e86a.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 10 Fedora Update System 2014-03-03 03:09:17 UTC
php-gitter-0.2.0-2.20131206git786e86a.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2014-03-03 03:10:20 UTC
php-gitter-0.2.0-2.20131206git786e86a.fc19 has been pushed to the Fedora 19 stable repository.

Comment 12 Fedora Update System 2014-03-12 00:00:05 UTC
php-gitter-0.2.0-2.20131206git786e86a.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.